%define _systemctl /usr/bin/systemctl

Name:		virtuozzo-motd
Version:	0.4
Release:	1%{?dist}
Summary:	Virtuozzo motd

Group:		System Environment/Base
License:	GPLv2
Source0:	issue.template
Source1:	ifup-local
Source2:	40-ifup-local
Source3:	vz-motd.service
Source4:	vz-motd.timer
BuildArch:	noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root

Requires(preun): systemd-units
Requires(postun): systemd-units
Requires(post): systemd-units

%description
Virtuozzo custom login screen and message of the day file

%prep

%install
mkdir -p %{buildroot}/etc/NetworkManager/dispatcher.d
mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}/lib/systemd/system
install -m 644 %{SOURCE0} %{buildroot}/%{_sysconfdir}/issue.vz
install -m 755 %{SOURCE1} %{buildroot}/sbin/
ln -s -f /sbin/ifup-local %{buildroot}/sbin/ifdown-local
install -m 755 %{SOURCE2} %{buildroot}/%{_sysconfdir}/NetworkManager/dispatcher.d/
for unit in %{SOURCE3} %{SOURCE4}; do
	install -m 644 $unit %{buildroot}/lib/systemd/system/
done

%clean
rm -rf %{buildroot}

%post
for unit in service timer; do
	%systemd_post vz-motd.$unit
done

%preun
for unit in service timer; do
	%systemd_preun vz-motd.$unit
done

%postun
%systemd_postun

%triggerin -- cloudlinux-release >= 7.0, centos-release >= 7.0, redhat-release >= 7.0, vzlinux-release >= 7.0
cat %{_sysconfdir}/issue.vz > %{_sysconfdir}/issue 2>/dev/null
/sbin/ifup-local > /dev/null 2>&1
:

%triggerpostun -- virtuozzo-motd < 0.4
%_systemctl is_enabled vz-motd.service > /dev/null 2>&1
[ $? -ne 0 ] && :
%_systemctl start vz-motd.service > /dev/null 2>&1
for action in enable start; do
	%_systemctl $action vz-motd.timer > /dev/null 2>&1
done
:

%files
%defattr(-,root,root,-)
/etc/issue.vz
/sbin/ifup-local
/sbin/ifdown-local
/etc/NetworkManager/dispatcher.d/40-ifup-local
/lib/systemd/system/vz-motd.*

%changelog
* Thu Sep 29 2016 Konstantin Volkov <wolf@virtuozzo.com> 0.4-1
- Added vzlicview output, see #PSBM-52333

* Wed Jun 08 2016 Konstantin Volkov <wolf@virtuozzo.com> 0.3-2
- Technical rebuild, see #PSBM-47948
- Added vzlinux-release trigger

* Tue Jul  7 2015 Alexander Burluka <aburluka@odin.com> - 0.1-1
- Initial build
